petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscObjectViewFromOptions

Processes command line options to determine if/how a PetscObject is to be viewed.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscObjectViewFromOptions(PetscObject obj,PetscObject bobj,const char optionname[])

Collective on PetscObject

### Input Parameters

| obj | - the object
| bobj | - optional other object that provides prefix (if NULL then the prefix in obj is used)
| optionname | - option to activate viewing

### Level

intermediate

### Location

src/sys/objects/destroy.c

### Examples

src/vec/vec/utils/tagger/examples/tutorials/ex1.c.html
src/dm/field/examples/tutorials/ex1.c.html
src/snes/examples/tutorials/ex5.c.html
src/ts/examples/tutorials/ex11.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages